# ObjectiveCPlugin

@Incubating
abstract class ObjectiveCPlugin : Plugin<T>

A plugin for projects wishing to build native binary components from Objective-C sources.

Automatically includes the ObjectiveCLangPlugin for core Objective-C support and the org.gradle.nativeplatform.plugins.NativeComponentPlugin for native component support.

- Creates a org.gradle.language.objectivec.tasks.ObjectiveCCompile task for each org.gradle.language.objectivec.ObjectiveCSourceSet to compile the Objective-C sources.

## Constructors

ObjectiveCPlugin
Link copied to clipboard
constructor()

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)